Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections
Class TreeBag

    java.lang.Object
      |
      +--org.apache.commons.collections.DefaultMapBag
            |
            +--org.apache.commons.collections.TreeBag

All Implemented Interfaces:
  Bag, Collection, SortedBag

Deprecated. Moved to bag subpackage and rewritten internally. Due to be removed in v4.0.

public class TreeBag
extends DefaultMapBag
implements SortedBag

A `Bag` that is backed by a `TreeMap`. Order will be maintained among the unique representative members.

Since:
  Commons Collections 2.0
Version:
  $Revision: 1.13 $ $Date: 2004/02/18 01:15:42 $
Author:
  Chuck Burdick

Constructor Summary
`TreeBag()` Deprecated. Constructs an empty `TreeBag`.
`TreeBag(Collection coll)` Deprecated. Constructs a `Bag` containing all the members of the given collection.
`TreeBag(Comparator comparator)` Deprecated. Constructs an empty `Bag` that maintains order on its unique representative members according to the given `Comparator`.

Method Summary
`Comparator` | `comparator()` Deprecated. Returns the comparator associated with this sorted set, or null if it uses its elements' natural ordering.
`Object` | `first()` Deprecated. Returns the first (lowest) member.
`Object` | `last()` Deprecated. Returns the last (highest) member.

Methods inherited from class org.apache.commons.collections.DefaultMapBag
`add, add, addAll, calcTotalSize, clear, contains, containsAll, containsAll, equals, getCount, getMap, hashCode, isEmpty, iterator, remove, remove, removeAll, retainAll, retainAll, setMap, size, toArray, toArray, toString, uniqueSet`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.commons.collections.Bag
`add, add, containsAll, getCount, iterator, remove, remove, removeAll, retainAll, size, uniqueSet`

Methods inherited from interface java.util.Collection
`addAll, clear, contains, equals, hashCode, isEmpty, toArray, toArray`

Constructor Detail

### TreeBag

    public TreeBag()

  Deprecated.
  Constructs an empty `TreeBag`.

### TreeBag

    public TreeBag(Comparator comparator)

  Deprecated.
  Constructs an empty `Bag` that maintains order on its unique representative members according to the given `Comparator`.

Parameters:
  `comparator` - the comparator to use

### TreeBag

    public TreeBag(Collection coll)

  Deprecated.
  Constructs a `Bag` containing all the members of the given collection.

Parameters:
  `coll` - the collection to copy into the bag

Method Detail

### first

    public Object first()

  Deprecated.
  Description copied from interface: `SortedBag`
  Returns the first (lowest) member.

  Specified by:
    `first` in interface `SortedBag`
  Returns:
    the first element in the sorted bag

### last

    public Object last()

  Deprecated.
  Description copied from interface: `SortedBag`
  Returns the last (highest) member.

  Specified by:
    `last` in interface `SortedBag`
  Returns:
    the last element in the sorted bag

### comparator

    public Comparator comparator()

  Deprecated.
  Description copied from interface: `SortedBag`
  Returns the comparator associated with this sorted set, or null if it uses its elements' natural ordering.

  Specified by:
    `comparator` in interface `SortedBag`
  Returns:
    the comparator in use, or null if natural ordering

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 Apache Software Foundation. All Rights Reserved.